Bug 1859684 - Extra endpoint in etcd [4.4.3]
Summary: Extra endpoint in etcd [4.4.3]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Suresh Kolichala
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1835238
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-22 17:04 UTC by Sam Batschelet
Modified: 2020-09-30 14:06 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1835238
Environment:
Last Closed: 2020-09-30 14:06:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 402 0 None closed Bug 1859684: Exclude bootstrap in the env variable ETCDCTL_ENDPOINTS 2020-10-17 12:24:23 UTC
Red Hat Product Errata RHBA-2020:3760 0 None None None 2020-09-30 14:06:40 UTC

Comment 6 ge liu 2020-09-23 02:21:54 UTC
Verified with 4.5.0-0.nightly-2020-09-20-185910


sh-4.2# etcdctl endpoint health
https://10.0.52.27:2379 is healthy: successfully committed proposal: took = 9.617947ms
https://10.0.49.196:2379 is healthy: successfully committed proposal: took = 10.715916ms
https://10.0.75.193:2379 is healthy: successfully committed proposal: took = 15.897101ms

# oc describe pods etcd-ip-10-0-49-196.us-east-2.compute.internal
    Environment:
      ALL_ETCD_ENDPOINTS:                                            https://10.0.49.196:2379,https://10.0.52.27:2379,https://10.0.75.193:2379
      ETCDCTL_API:                                                   3
      ETCDCTL_CACERT:                                                /etc/kubernetes/static-pod-certs/configmaps/etcd-serving-ca/ca-bundle.crt
      ETCDCTL_CERT:                                                  /etc/kubernetes/static-pod-certs/secrets/etcd-all-peer/etcd-peer-ip-10-0-49-196.us-east-2.compute.internal.crt
      ETCDCTL_ENDPOINTS:                                             https://10.0.49.196:2379,https://10.0.52.27:2379,https://10.0.75.193:2379
      ETCDCTL_KEY:                                                   /etc/kubernetes/static-pod-certs/secrets/etcd-all-peer/etcd-peer-ip-10-0-49-196.us-east-2.compute.internal.key

Comment 8 errata-xmlrpc 2020-09-30 14:06:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.13 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3760


Note You need to log in before you can comment on or make changes to this bug.